# All files / src/node-transformers/node-obfuscators/replacers AbstractReplacer.ts

100% Statements 6/6
100% Branches 0/0
100% Functions 1/1
100% Lines 5/5

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    29
    301x
    1x

    1x

    1x

    9975x

     import { injectable, inject } from 'inversify';
    import { ServiceIdentifiers } from '../../../container/ServiceIdentifiers';

    import { IOptions } from '../../../interfaces/options/IOptions';
    import { IObfuscatorReplacer } from '../../../interfaces/node-transformers/IObfuscatorReplacer';

    @injectable()
    export abstract class AbstractReplacer implements IObfuscatorReplacer {
        /**
         * @type {IOptions}
         */
        protected readonly options : IOptions;

        /**
         * @param options
         */
        constructor (
            @inject(ServiceIdentifiers.IOptions) options: IOptions
        ) {
            this.options = options;
        }

        /**
         * @param nodeValue
         * @param nodeIdentifier
         * @returns {string}
         */
        public abstract replace (nodeValue: any, nodeIdentifier?: string): string;
    }